drop TABLE IF EXISTS poller;
CREATE TABLE poller (
  id smallint(5) unsigned NOT NULL auto_increment,
  hostname varchar(250) NOT NULL default '',
  ip_address int(11) unsigned NOT NULL default '0',
  last_update datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

drop TABLE IF EXISTS poller_command;
CREATE TABLE poller_command (
  poller_id smallint(5) unsigned NOT NULL default '0',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  action tinyint(3) unsigned NOT NULL default '0',
  command varchar(200) NOT NULL default '',
  PRIMARY KEY  (poller_id,action,command)
) TYPE=MyISAM;



drop TABLE IF EXISTS poller_output;
CREATE TABLE poller_output (
  local_data_id mediumint(8) unsigned NOT NULL default '0',
  rrd_name varchar(19) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  output text NOT NULL,
  PRIMARY KEY  (local_data_id,rrd_name,time)
) TYPE=MyISAM;

drop TABLE IF EXISTS poller_time;
CREATE TABLE poller_time (
  id mediumint(8) unsigned NOT NULL auto_increment,
  poller_id smallint(5) unsigned NOT NULL default '0',
  start_time datetime NOT NULL default '0000-00-00 00:00:00',
  end_time datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
) TYPE=MyISAM;



drop TABLE IF EXISTS poller_reindex;
CREATE TABLE poller_reindex (
  host_id mediumint(8) unsigned NOT NULL default '0',
  data_query_id mediumint(8) unsigned NOT NULL default '0',
  action tinyint(3) unsigned NOT NULL default '0',
  op char(1) NOT NULL default '',
  assert_value varchar(100) NOT NULL default '',
  arg1 varchar(100) NOT NULL default '',
  PRIMARY KEY  (host_id,data_query_id,arg1)
) TYPE=MyISAM;

